Get Schema
curl --request GET \
--url https://api-dev.narrative.io/apps/{app_slug}/manifest/profile-store-schema/{schema_version_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/apps/{app_slug}/manifest/profile-store-schema/{schema_version_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/apps/{app_slug}/manifest/profile-store-schema/{schema_version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"value": {},
"created_at": "2023-11-07T05:31:56Z"
}This response has no body data.Apps
Get Schema
GET
/
apps
/
{app_slug}
/
manifest
/
profile-store-schema
/
{schema_version_id}
Get Schema
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
unique app name
schema version id
Response
OK
Unique ID of the version.
Unique ID of the schema stream. Stream is associated with some particular app.
Sequential ID of the version.
Persisted JSON Schema (2019-09 version).
ISO-8601 timestamp indicating when the schema version was appended.
Was this page helpful?
⌘I

